Maintenance Configurations - List By Managed Cluster
Gets a list of maintenance configurations in the specified managed cluster.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/maintenanceConfigurations?api-version=2026-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
resource
|
path | True |
string minLength: 1maxLength: 63 pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$ |
The name of the managed cluster resource. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List maintenance configurations configured with maintenance window by Managed Cluster
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/maintenanceConfigurations?api-version=2026-08-01
Sample response
{
"value": [
{
"name": "aksManagedNodeOSUpgradeSchedule",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/maintenanceConfigurations/aksManagedNodeOSUpgradeSchedule",
"properties": {
"maintenanceWindow": {
"durationHours": 10,
"schedule": {
"daily": {
"intervalDays": 5
}
},
"startDate": "2023-01-01",
"startTime": "13:30",
"utcOffset": "-07:00"
}
}
},
{
"name": "aksManagedAutoUpgradeSchedule",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/maintenanceConfigurations/aksManagedAutoUpgradeSchedule",
"properties": {
"maintenanceWindow": {
"durationHours": 5,
"notAllowedDates": [
{
"end": "2023-02-25",
"start": "2023-02-18"
},
{
"end": "2024-01-05",
"start": "2023-12-23"
}
],
"schedule": {
"absoluteMonthly": {
"dayOfMonth": 15,
"intervalMonths": 3
}
},
"startDate": "2023-01-01",
"startTime": "08:30",
"utcOffset": "+00:00"
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Absolute |
For schedules like: 'recur every month on the 15th' or 'recur every 3 months on the 20th'. |
|
created |
The type of identity that created the resource. |
|
Daily |
For schedules like: 'recur every day' or 'recur every 3 days'. |
|
Date |
A date range. For example, between '2022-12-23' and '2023-01-05'. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Maintenance |
Planned maintenance configuration, used to configure when updates can be deployed to a Managed Cluster. See planned maintenance for more information about planned maintenance. |
|
Maintenance |
The response of a MaintenanceConfiguration list operation. |
|
Maintenance |
Maintenance window used to configure scheduled auto-upgrade for a Managed Cluster. |
|
Relative |
For schedules like: 'recur every month on the first Monday' or 'recur every 3 months on last Friday'. |
| Schedule |
One and only one of the schedule types should be specified. Choose either 'daily', 'weekly', 'absoluteMonthly' or 'relativeMonthly' for your maintenance schedule. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Time |
Time in a week. |
|
Time |
A time range. For example, between 2021-05-25T13:00:00Z and 2021-05-25T14:00:00Z. |
| Type |
The week index. Specifies on which week of the month the dayOfWeek applies. |
|
Week |
The weekday enum. |
|
Weekly |
For schedules like: 'recur every Monday' or 'recur every 3 weeks on Wednesday'. |
AbsoluteMonthlySchedule
For schedules like: 'recur every month on the 15th' or 'recur every 3 months on the 20th'.
| Name | Type | Description |
|---|---|---|
| dayOfMonth |
integer (int32) minimum: 1maximum: 31 |
The date of the month. |
| intervalMonths |
integer (int32) minimum: 1maximum: 6 |
Specifies the number of months between each set of occurrences. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DailySchedule
For schedules like: 'recur every day' or 'recur every 3 days'.
| Name | Type | Description |
|---|---|---|
| intervalDays |
integer (int32) minimum: 1maximum: 7 |
Specifies the number of days between each set of occurrences. |
DateSpan
A date range. For example, between '2022-12-23' and '2023-01-05'.
| Name | Type | Description |
|---|---|---|
| end |
string (date) |
The end date of the date span. |
| start |
string (date) |
The start date of the date span. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
MaintenanceConfiguration
Planned maintenance configuration, used to configure when updates can be deployed to a Managed Cluster. See planned maintenance for more information about planned maintenance.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.maintenanceWindow |
Maintenance window for the maintenance configuration. |
|
| properties.notAllowedTime |
Time |
Time slots on which upgrade is not allowed. |
| properties.timeInWeek |
Time slots during the week when planned maintenance is allowed to proceed. If two array entries specify the same day of the week, the applied configuration is the union of times in both entries. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
MaintenanceConfigurationListResult
The response of a MaintenanceConfiguration list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The MaintenanceConfiguration items on this page |
MaintenanceWindow
Maintenance window used to configure scheduled auto-upgrade for a Managed Cluster.
| Name | Type | Default value | Description |
|---|---|---|---|
| durationHours |
integer (int32) minimum: 4maximum: 24 |
24 |
Length of maintenance window range from 4 to 24 hours. |
| notAllowedDates |
Date |
Date ranges on which upgrade is not allowed. 'utcOffset' applies to this field. For example, with 'utcOffset: +02:00' and 'dateSpan' being '2022-12-23' to '2023-01-03', maintenance will be blocked from '2022-12-22 22:00' to '2023-01-03 22:00' in UTC time. |
|
| schedule |
Recurrence schedule for the maintenance window. |
||
| startDate |
string (date) |
The date the maintenance window activates. If the current date is before this date, the maintenance window is inactive and will not be used for upgrades. If not specified, the maintenance window will be active right away. |
|
| startTime |
string pattern: ^\d{2}:\d{2}$ |
The start time of the maintenance window. Accepted values are from '00:00' to '23:59'. 'utcOffset' applies to this field. For example: '02:00' with 'utcOffset: +02:00' means UTC time '00:00'. |
|
| utcOffset |
string pattern: ^(-|\+)[0-9]{2}:[0-9]{2}$ |
The UTC offset in format +/-HH:mm. For example, '+05:30' for IST and '-07:00' for PST. If not specified, the default is '+00:00'. |
RelativeMonthlySchedule
For schedules like: 'recur every month on the first Monday' or 'recur every 3 months on last Friday'.
| Name | Type | Description |
|---|---|---|
| dayOfWeek |
Specifies on which day of the week the maintenance occurs. |
|
| intervalMonths |
integer (int32) minimum: 1maximum: 6 |
Specifies the number of months between each set of occurrences. |
| weekIndex |
The week index. Specifies on which week of the month the dayOfWeek applies. |
Schedule
One and only one of the schedule types should be specified. Choose either 'daily', 'weekly', 'absoluteMonthly' or 'relativeMonthly' for your maintenance schedule.
| Name | Type | Description |
|---|---|---|
| absoluteMonthly |
For schedules like: 'recur every month on the 15th' or 'recur every 3 months on the 20th'. |
|
| daily |
For schedules like: 'recur every day' or 'recur every 3 days'. |
|
| relativeMonthly |
For schedules like: 'recur every month on the first Monday' or 'recur every 3 months on last Friday'. |
|
| weekly |
For schedules like: 'recur every Monday' or 'recur every 3 weeks on Wednesday'. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
TimeInWeek
Time in a week.
| Name | Type | Description |
|---|---|---|
| day |
The day of the week. |
|
| hourSlots |
integer[] (int32) minimum: 0maximum: 23 |
A list of hours in the day used to identify a time range. Each integer hour represents a time range beginning at 0m after the hour ending at the next hour (non-inclusive). 0 corresponds to 00:00 UTC, 23 corresponds to 23:00 UTC. Specifying [0, 1] means the 00:00 - 02:00 UTC time range. |
TimeSpan
A time range. For example, between 2021-05-25T13:00:00Z and 2021-05-25T14:00:00Z.
| Name | Type | Description |
|---|---|---|
| end |
string (date-time) |
The end of a time span |
| start |
string (date-time) |
The start of a time span |
Type
The week index. Specifies on which week of the month the dayOfWeek applies.
| Value | Description |
|---|---|
| First |
First week of the month. |
| Second |
Second week of the month. |
| Third |
Third week of the month. |
| Fourth |
Fourth week of the month. |
| Last |
Last week of the month. |
WeekDay
The weekday enum.
| Value | Description |
|---|---|
| Sunday |
Represents Sunday. |
| Monday |
Represents Monday. |
| Tuesday |
Represents Tuesday. |
| Wednesday |
Represents Wednesday. |
| Thursday |
Represents Thursday. |
| Friday |
Represents Friday. |
| Saturday |
Represents Saturday. |
WeeklySchedule
For schedules like: 'recur every Monday' or 'recur every 3 weeks on Wednesday'.
| Name | Type | Description |
|---|---|---|
| dayOfWeek |
Specifies on which day of the week the maintenance occurs. |
|
| intervalWeeks |
integer (int32) minimum: 1maximum: 4 |
Specifies the number of weeks between each set of occurrences. |